summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Johannes Schoepfer2016-07-20 12:01:03 +0200
committer Robby Workman2016-07-20 21:20:25 +0200
commitb44336cf1951f8be5ef42c05b70c2562dbaf8c44 (patch)
treea8baeba72f4209cd0f483c730a9f13709359733b
parentcc556c02d6228c0949aa6955f807fcdd781bc751 (diff)
downloadslackbuilds-b44336cf1951f8be5ef42c05b70c2562dbaf8c44.tar.gz
office/texlive-docs: Added (this replaces texlive-texmf-docs)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--office/texlive-docs/README4
-rw-r--r--office/texlive-docs/doinst.sh1
-rw-r--r--office/texlive-docs/slack-desc19
-rw-r--r--office/texlive-docs/texlive-docs.SlackBuild63
-rw-r--r--office/texlive-docs/texlive-docs.info10
5 files changed, 97 insertions, 0 deletions
diff --git a/office/texlive-docs/README b/office/texlive-docs/README
new file mode 100644
index 0000000000..b022362efe
--- /dev/null
+++ b/office/texlive-docs/README
@@ -0,0 +1,4 @@
+texlive-docs (TeXLive Documentation)
+
+This package contains all of the documentation shipped with the
+texlive-texmf netarchives distributed by tug.org.
diff --git a/office/texlive-docs/doinst.sh b/office/texlive-docs/doinst.sh
new file mode 100644
index 0000000000..a6076ff24f
--- /dev/null
+++ b/office/texlive-docs/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/mktexlsr 1>/dev/null 2>/dev/null
diff --git a/office/texlive-docs/slack-desc b/office/texlive-docs/slack-desc
new file mode 100644
index 0000000000..09775bb851
--- /dev/null
+++ b/office/texlive-docs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+texlive-docs: texlive-docs (TeXLive Documentation)
+texlive-docs:
+texlive-docs: This package contains all of the documentation shipped with the
+texlive-docs: texlive-texmf netarchives distributed by tug.org.
+texlive-docs:
+texlive-docs:
+texlive-docs:
+texlive-docs:
+texlive-docs:
+texlive-docs:
+texlive-docs:
diff --git a/office/texlive-docs/texlive-docs.SlackBuild b/office/texlive-docs/texlive-docs.SlackBuild
new file mode 100644
index 0000000000..6c586dbc43
--- /dev/null
+++ b/office/texlive-docs/texlive-docs.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# texlive-texmf-docs build script for Slackware
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009-2014 Robby Workman, Northport, AL, USA
+# Copyright 2016 Johannes Schoepfer, <slackbuilds@schoepfer.info>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=texlive-docs
+VERSION=20160622
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share $OUTPUT
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz -C $PKG/usr/share
+chown -R root:root $PKG
+chmod -R u+w,go-w,a+rX-st $PKG
+
+# Move manual pages to the correct place
+mkdir -p $PKG/usr/man/man1 $PKG/usr/man/man5
+mv $PKG/usr/share/texmf-dist/doc/man/man1/*.1 $PKG/usr/man/man1
+mv $PKG/usr/share/texmf-dist/doc/man/man5/*.5 $PKG/usr/man/man5
+# No, we don't care about the pdf versions of the manual pages
+rm -rf $PKG/usr/share/texmf-dist/doc/man
+
+# Handle the man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/texlive-docs/texlive-docs.info b/office/texlive-docs/texlive-docs.info
new file mode 100644
index 0000000000..b196874e7f
--- /dev/null
+++ b/office/texlive-docs/texlive-docs.info
@@ -0,0 +1,10 @@
+PRGNAM="texlive-docs"
+VERSION="20160622"
+HOMEPAGE="http://tug.org/texlive/"
+DOWNLOAD="http:/slackware.schoepfer.info/slackbuilds/texlive/2016/texlive-docs-20160622.tar.xz"
+MD5SUM="0f19d52d5d04f8d8d9245c19b043897e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="texlive"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds[at]schoepfer[dot]info"